#if !defined(AFX_APLCHARACTVIEW_H__AB9F9C3A_32A2_4836_8F77_695A637BD60E__INCLUDED_)
#define AFX_APLCHARACTVIEW_H__AB9F9C3A_32A2_4836_8F77_695A637BD60E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// aplCharactView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CaplCharactView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif
#include "resource.h"
#include <apl_api.h>
#include "PSMDoc.h"
#include "apllistview.h"

class CaplCharactView : public CFormView
{
protected:
	CaplCharactView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CaplCharactView)

	CToolTipCtrl m_name_tip;
// Form Data
public:
	//{{AFX_DATA(CaplCharactView)
	enum { IDD = IDD_CHARACT_EXCEL_FORM };
	CEdit	m_SFO_ctrl;
	CEdit	m_Name_ctrl;
	CListCtrl	m_excel_list;
	CString	m_nnn;
	CString	m_sfo;
	CString	m_approved_num;
	CString	m_id_str;
	CString	m_sfo_descr;
	//}}AFX_DATA

// Attributes
public:

// Operations
	void UpdateTreeItem(CaplTreeItem *item);
public:
	CaplAPI* m_api;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CaplCharactView)
	public:
	virtual void OnInitialUpdate();
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	virtual BOOL DestroyWindow();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CaplCharactView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CaplCharactView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDblclkExcelList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APLCHARACTVIEW_H__AB9F9C3A_32A2_4836_8F77_695A637BD60E__INCLUDED_)
